com.genesyslab.wfm7.API.service.schedule750

## Class SchCandidateHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchCandidateHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchCandidateHolder
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Candidates holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SchBid[]` | `bids` An array of `SchBid` providing candidates' bidding.
    `private int` | `bidsNSizeIs` The number of elements in the 'bids' array.
    `private SchCandidate[]` | `candidates` An array of `SchCandidate` information.
    `private int` | `candidatesNSizeIs` The number of elements in the 'candidates' array.
    `private CfgAgentShort[]` | `cfgAgentInfo` An array of `CfgAgentShort` containing agent information about every candidate returned.
    `private int` | `cfgAgentInfoNSizeIs` The number of elements in the 'cfgAgentInfo' array.
    `private SchCandidate[]` | `mergedCandidates` An array of `SchCandidate` providing information about merged identical profile agent schedules.
    `private int` | `mergedCandidatesNSizeIs` The number of elements in the 'mergedCandidates' array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchCandidateHolder()`
    `SchCandidateHolder(int candidatesNSizeIs, SchCandidate[] candidates, int cfgAgentInfoNSizeIs, CfgAgentShort[] cfgAgentInfo, int bidsNSizeIs, SchBid[] bids, int mergedCandidatesNSizeIs, SchCandidate[] mergedCandidates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchBid[]` | `getBids()` Gets the bids value for this SchCandidateHolder.
    `int` | `getBidsNSizeIs()` Gets the bidsNSizeIs value for this SchCandidateHolder.
    `SchCandidate[]` | `getCandidates()` Gets the candidates value for this SchCandidateHolder.
    `int` | `getCandidatesNSizeIs()` Gets the candidatesNSizeIs value for this SchCandidateHolder.
    `CfgAgentShort[]` | `getCfgAgentInfo()` Gets the cfgAgentInfo value for this SchCandidateHolder.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the cfgAgentInfoNSizeIs value for this SchCandidateHolder.
    `SchCandidate[]` | `getMergedCandidates()` Gets the mergedCandidates value for this SchCandidateHolder.
    `int` | `getMergedCandidatesNSizeIs()` Gets the mergedCandidatesNSizeIs value for this SchCandidateHolder.
    `void` | `setBids(SchBid[] bids)` Sets the bids value for this SchCandidateHolder.
    `void` | `setBidsNSizeIs(int bidsNSizeIs)` Sets the bidsNSizeIs value for this SchCandidateHolder.
    `void` | `setCandidates(SchCandidate[] candidates)` Sets the candidates value for this SchCandidateHolder.
    `void` | `setCandidatesNSizeIs(int candidatesNSizeIs)` Sets the candidatesNSizeIs value for this SchCandidateHolder.
    `void` | `setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)` Sets the cfgAgentInfo value for this SchCandidateHolder.
    `void` | `setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)` Sets the cfgAgentInfoNSizeIs value for this SchCandidateHolder.
    `void` | `setMergedCandidates(SchCandidate[] mergedCandidates)` Sets the mergedCandidates value for this SchCandidateHolder.
    `void` | `setMergedCandidatesNSizeIs(int mergedCandidatesNSizeIs)` Sets the mergedCandidatesNSizeIs value for this SchCandidateHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### candidatesNSizeIs

          private int candidatesNSizeIs

      The number of elements in the 'candidates' array.

    - #### candidates

          private SchCandidate[] candidates

      An array of `SchCandidate` information.

    - #### cfgAgentInfoNSizeIs

          private int cfgAgentInfoNSizeIs

      The number of elements in the 'cfgAgentInfo' array.

    - #### cfgAgentInfo

          private CfgAgentShort[] cfgAgentInfo

      An array of `CfgAgentShort` containing agent information about every candidate returned.

    - #### bidsNSizeIs

          private int bidsNSizeIs

      The number of elements in the 'bids' array.

    - #### bids

          private SchBid[] bids

      An array of `SchBid` providing candidates' bidding.

    - #### mergedCandidatesNSizeIs

          private int mergedCandidatesNSizeIs

      The number of elements in the 'mergedCandidates' array.

    - #### mergedCandidates

          private SchCandidate[] mergedCandidates

      An array of `SchCandidate` providing information about merged identical profile agent schedules.

  - ### Constructor Detail

    - #### SchCandidateHolder

          public SchCandidateHolder()

    - #### SchCandidateHolder

          public SchCandidateHolder(int candidatesNSizeIs,
                            SchCandidate[] candidates,
                            int cfgAgentInfoNSizeIs,
                            CfgAgentShort[] cfgAgentInfo,
                            int bidsNSizeIs,
                            SchBid[] bids,
                            int mergedCandidatesNSizeIs,
                            SchCandidate[] mergedCandidates)

  - ### Method Detail

    - #### getCandidatesNSizeIs

          public int getCandidatesNSizeIs()

      Gets the candidatesNSizeIs value for this SchCandidateHolder.
      Returns:
        candidatesNSizeIs

    - #### setCandidatesNSizeIs

          public void setCandidatesNSizeIs(int candidatesNSizeIs)

      Sets the candidatesNSizeIs value for this SchCandidateHolder.
      Parameters:
        `candidatesNSizeIs` -

    - #### getCandidates

          public SchCandidate[] getCandidates()

      Gets the candidates value for this SchCandidateHolder.
      Returns:
        candidates

    - #### setCandidates

          public void setCandidates(SchCandidate[] candidates)

      Sets the candidates value for this SchCandidateHolder.
      Parameters:
        `candidates` -

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the cfgAgentInfoNSizeIs value for this SchCandidateHolder.
      Returns:
        cfgAgentInfoNSizeIs

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)

      Sets the cfgAgentInfoNSizeIs value for this SchCandidateHolder.
      Parameters:
        `cfgAgentInfoNSizeIs` -

    - #### getCfgAgentInfo

          public CfgAgentShort[] getCfgAgentInfo()

      Gets the cfgAgentInfo value for this SchCandidateHolder.
      Returns:
        cfgAgentInfo

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)

      Sets the cfgAgentInfo value for this SchCandidateHolder.
      Parameters:
        `cfgAgentInfo` -

    - #### getBidsNSizeIs

          public int getBidsNSizeIs()

      Gets the bidsNSizeIs value for this SchCandidateHolder.
      Returns:
        bidsNSizeIs

    - #### setBidsNSizeIs

          public void setBidsNSizeIs(int bidsNSizeIs)

      Sets the bidsNSizeIs value for this SchCandidateHolder.
      Parameters:
        `bidsNSizeIs` -

    - #### getBids

          public SchBid[] getBids()

      Gets the bids value for this SchCandidateHolder.
      Returns:
        bids

    - #### setBids

          public void setBids(SchBid[] bids)

      Sets the bids value for this SchCandidateHolder.
      Parameters:
        `bids` -

    - #### getMergedCandidatesNSizeIs

          public int getMergedCandidatesNSizeIs()

      Gets the mergedCandidatesNSizeIs value for this SchCandidateHolder.
      Returns:
        mergedCandidatesNSizeIs

    - #### setMergedCandidatesNSizeIs

          public void setMergedCandidatesNSizeIs(int mergedCandidatesNSizeIs)

      Sets the mergedCandidatesNSizeIs value for this SchCandidateHolder.
      Parameters:
        `mergedCandidatesNSizeIs` -

    - #### getMergedCandidates

          public SchCandidate[] getMergedCandidates()

      Gets the mergedCandidates value for this SchCandidateHolder.
      Returns:
        mergedCandidates

    - #### setMergedCandidates

          public void setMergedCandidates(SchCandidate[] mergedCandidates)

      Sets the mergedCandidates value for this SchCandidateHolder.
      Parameters:
        `mergedCandidates` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.